//*****Dimmer*********

void my_Dimmer() 
{  
  D15_Out; D16_Out; D17_Out; D19_Out;  //Настраиваем порты на выход
  D15_Low; D16_Low; D17_Low; D19_Low;  //установить на выходах низкий уровень сигнала
  D2_In; //настраиваем порт на вход для отслеживания прохождения сигнала через ноль  
  
//CHANGE – прерывание вызывается при любом изменении значения на входе; 
//RISING – вызов прерывания при изменении уровня напряжения с низкого (Low) на высокий(HIGH) 
//FALLING – вызов прерывания при изменении уровня напряжения с высокого (HIGH) на низкий (Low) 
    attachInterrupt(0, detect_up, LOW);  // настроить срабатывание прерывания interrupt0 на pin 2 на низкий уровень
    StartTimer1(halfcycle, 40); //время для одного разряда ШИМ
    StopTimer1(); //остановить таймер


} 
 //********************обработчики прерываний*******************************
  void halfcycle()  //прерывания таймера
  { 
  tic++;  //счетчик  
  if(DimmerA < tic ) D15_High; //управляем выходом
  if(DimmerB < tic ) D16_High;  //управляем выходом
  if(DimmerC < tic ) D17_High;  //управляем выходом 
  if(DimmerTOP < tic ) D19_High;  //управляем выходом 
}

  void  detect_up()  // обработка внешнего прерывания. Сработает по переднему фронту
  {  
 tic=0;             //обнулить счетчик
 ResumeTimer1();   //запустить таймер
 attachInterrupt(0, detect_down, HIGH);  //перепрограммировать прерывание на другой обработчик
}  

  void  detect_down()  // обработка внешнего прерывания. Сработает по заднему фронту
  {   
 StopTimer1(); //остановить таймер
 //D15_Low; D16_Low; D17_Low; D18_Low; D19_Low; //логический ноль на выходы
  if (DimmerA > 0) D15_Low;
  if (DimmerB > 0) D16_Low;
  if (DimmerC) D17_Low;
  if (DimmerTOP> 0) D19_Low;
  
 tic=0;       //обнулить счетчик
 attachInterrupt(0, detect_up, LOW); //перепрограммировать прерывание на другой обработчик
} 
  
 //*************************************************************************
  



