/* My symbol
 *  Описываем наш символ в виде массива битовых масок.
 * Каждый символ - это восемь масок по пять бит.
 * тут 8 - высота клетки экрана
 */
byte smail_heat[8] =
{
  B00000,
  B01001,
  B10010,
  B01001,
  B00000,
  B11111,
  B11111,
  B01110,
};

byte point_top[8] =
{
  B00100,
  B01110,
  B11111,
  B00100,
  B00100,
  B00100,
  B00100,
  B00000,
};

byte point_bot[8] =
{
  B00000,
  B00100,
  B00100,
  B00100,
  B00100,
  B11111,
  B01110,
  B00100,
};


void smail()
{
  /* Регистрируем собственный символы с кодом 1 */
  lcd.createChar(1, smail_heat);
  lcd.createChar(2, point_top);
  lcd.createChar(3, point_bot);

  /* Начинаем работу с дисплееем */
  //lcd.begin(16, 2);
   //lcd.print("\1");
}

//*****************звуки***************************
void hi_sound ()
{
 tone(beepPin, 523); //Welcome melody
 delay(200);
 tone(beepPin, 659);
 delay(200);
 tone(beepPin, 784);
 delay(200);
 tone(beepPin, 1046);
 delay(200);
 noTone(beepPin);
}

void alarm ()
{
  tone(beepPin, 1046); //alarm
  delay(100);
  noTone(beepPin);
  delay(100);
  tone(beepPin, 659);
  delay(100);
  noTone(beepPin);
  delay(100);
  tone(beepPin, 1046);
  delay(100);
  noTone(beepPin);
  delay(100);
  tone(beepPin, 659);
  delay(100);
  noTone(beepPin);
  delay(400);
}

void key_sound ()
{
  delay(100);
  tone(beepPin, 523);
  delay(100);
  noTone(beepPin);
}

void section_prof ()
{
  tone(beepPin,946);
  delay(150);
  tone(beepPin, 423);
  delay(80);
  noTone(beepPin);
}

//*****************звуки***************************



